%define upstream_name    Perl6-Export
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Implements the Perl 6 is export trait
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/Perl6-Export
Source0:    https://cpan.metacpan.org/modules/by-module/Perl6/Perl6-Export-%{upstream_version}.tar.bz2

BuildArch: noarch


%description
This module prototypes the Perl 6 'exported' and 'exportable' traits
in Perl 5.

Instead of messing around with @EXPORT arrays, you just declare which subs
are to be exported (or are exportable on request) as part of those subs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes y | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/*
%dir %{perl_vendorlib}/Perl6/
%{perl_vendorlib}/Perl6/Export.pm

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.70.0-11.mga10
+ Revision: 2200119
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.70.0-10.mga9
+ Revision: 1805070
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.70.0-9.mga8
+ Revision: 1496486
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.70.0-8.mga7
+ Revision: 1270491
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.70.0-7.mga6
+ Revision: 1031950
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.70.0-6.mga6
+ Revision: 934812
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-5.mga5
+ Revision: 750702
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 685945
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.70.0-3.mga4
+ Revision: 514102
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 371733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 26845
- mageia rebuild
- imported package perl-Perl6-Export


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 404290
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-4mdv2009.0
+ Revision: 258221
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.07-3mdv2009.0
+ Revision: 246276
- rebuild

* Sun Mar 23 2008 Stefan van der Eijk <stefan@mandriva.org> 0.07-1mdv2008.1
+ Revision: 189555
- fix group
- import perl-Perl6-Export


